<?php

class network{ 
	
	protected $app;
	
	protected $libClass;
	
	protected $networking;

	protected $actions = array();

	
	/**
	* Image constructor
	*
	* @param App $app the main app object
	*
	* @throws [Type] [<description>]
	*
	* @return Image
	*/
	public function __construct($app, $openstack){
		$this->app = $app;
		$this->libClass = $app->getLibClass("networkingV2");
		$this->networking = $openstack->networkingV2(["region"=>"RegionOne"]);
	}


	

	
	public function create_network(array $options)
	{
		
		$network = $networking->createNetworks($options);
		

		return $network;
	}

	public function create_subnet(array $options)
	{
		
		$subnet = $networking->createSubnet($options);
		

		return $subnet;
	}
	
	public function list_network_ids()
	{
		
		$ln = $networking->listNetworks();
		
		$list_ids = array();

		
		foreach($ln as $n)
		{
			
			$list_ids[] =  $n->id;
		

		}

	return $list_ids;
	}

	public function list_network_names()
	{
		
		$ln = $networking->listNetworks();
		
		$list_names = array();

		
		foreach($ln as $n)
		{
			
			$list_names[] =  $n->name;
		

		}

	return $list_names;
	}

	public function list_cidr()
	{
		
		$ls = $networking->listSubnets();
		$list_cidr = array();
		foreach ($ls as $subnet)
		 {
     		
			$list_cidr[] = $subnet->cidr;
		 }

	return $list_names;
	}
	
	
